<!doctype html>
<html>
<head>
    <title>624-2 - HTML/CSS/JavaScript</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="ressources/css/style_start.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script type="text/javascript" src="scripts/base_jeu.js"></script>
    <script type="text/javascript" src="scripts/responsive.js"></script>
</head>
<body id="body">

<header>
    <h1>HES-SO Vs - 624-2 - HTML/CSS/JavaScript</h1>
    <nav>
        <!-- Hamburger -->
        <ul>
            <li class="hamburger">
                <img src="ressources/images/hamburger_icon.svg">
            </li>
            <li>
                <a href="description_start.html">Description</a>
            </li>
            <li>
                <a href="maquettes_start.html">Maquettes</a>
            </li>
            <li>
                <a href="mockup_start.html">Mockup</a>
            </li>
            <li>
                <a href="flux_start.html">Flux</a>
            </li>
            <li>
                <a href="journal_de_bord_start.html">Journal de bord</a>
            </li>
			<li class="active">
				<a href="jeu.html">Jeu</a>
			</li>
        </ul>
    </nav>
</header>
<main>
    <!-- Début zone pour votre contenu -->
    <video id="vid"></video>
    <center><input type="submit" id="skipbtn" value="Skip video"/></center>
    <div id="game-errmsg">Impossible de charger le jeu, veuillez réessayer !</div>
    <div id="game-warmsg">Ce jeu n'est malheureusement pas disponible sur cet appareil, veuillez réesayer avec un appareil plus grand !</div>
	<canvas id="piscine" width="900" height="600"></canvas>
    <div id = "endGame">
        <div id = "egTitleBox"></div>
        <div id = "egImgs"></div>
    </div>
    <div id="myModal" class="modal">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Formulaire d'inscription</h2>
            </div>
            <div class="modal-body">
                <p>Veuillez inscrire votre pseudo : <input style="font-size:15px" id="username" type="text"/></p>
                <p>En cliquant sur "J'accepte", vous acceptez que votre <b>localisation soit enregistrée</b> !</p>
                <br/>
                <input style="font-size:17px;" value="J'accepte" id="submitModal" type="submit"/>
            </div>
        </div>
    </div>
    <div id="hallOfFame" class="modal">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Tableau des scores</h2>
            </div>
            <div class="modal-body">
                <table id="results">
                    <tr>
                        <th style="text-align:center" >Classement</th>
                        <th style="text-align:center" >Pseudo</th>
                        <th style="text-align:center" >Score</th>
                        <th style="text-align:center">Ville</th>
                    </tr>
                </table>
                <br/>
                <input style="font-size:17px;" value="OK" id="exitGame" type="submit"/>
            </div>
        </div>
    </div>
    <!-- >Fin zone pour votre contenu -->
</main>

    <footer>
        <img id="logo" src="ressources/images/logo.png">
    </footer>

</body>
</html>
